.module-component-widget-form .box {
    background-color: var(--white);
    border-radius: var(--radius-20);
    padding: calc(60 * var(--rpx)) calc(72 * var(--rpx));
}

.module-component-form .module-component-widget-form .box {
    overflow-y: hidden;
}

.module-component-widget-form .box button.radio > div {
    height: 17px;
}

.module-component-widget-form .box button.radio path {
    transition: var(--transition-medium);
}

.module-component-widget-form .box button.radio:not(.active) path {
    fill: var(--text);
}

.module-component-widget-form .box .has-buttons h3{
    color: var(--text);
}

.module-component-widget-form .box .attention {
    padding: calc(13 * var(--rpx)) calc(30 * var(--rpx));
    border-radius: calc(100 * var(--rpx));
    background-color: var(--red-100-10);
    border: calc(1 * var(--rpx)) solid var(--red-100-20);
}

.module-component-widget-form .box .attention > div:first-child{
    height: calc(17 * var(--rpx));
}

.module-component-widget-form .box .attention .font-item{
    font-weight: 600;
    color: var(--red-100);
    white-space: nowrap;
}

.module-component-widget-form .box h4 span {
    color: var(--text-70);
}

.module-component-widget-form .box .forms {
    position: relative;
}

.module-component-widget-form .box [type="online"],
.module-component-widget-form .box [type="offline"],
.module-component-widget-form .box [type="online"]:not([active]),
.module-component-widget-form .box [type="offline"]:not([active]) {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transform: translateX(-120%);
    transition: var(--transition-medium);
    position: absolute;
    top: 0;
    left: 0;
    height: var(--offset-height);

}

.module-component-widget-form .box [type="online"][active],
.module-component-widget-form .box [type="offline"][active] {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transform: translateX(0);
    position: relative;
}

.module-component-widget-form .box div[type="online"] .down .p2,
.module-component-widget-form .box [type="offline"] .down .p2 {
    color: var(--text-70);
}

/* Online */
.module-component-widget-form .box div[type="online"] .left {
    min-width: calc(428 * var(--rpx));
}

.module-component-widget-form .box .has-file {
    height: 100%;
    justify-content: space-between;
}

.module-component-widget-form .box .textarea > div:nth-child(3) {
    position: absolute;
    bottom: calc(16 * var(--rpx));
    right: calc(19 * var(--rpx));
}
.module-component-widget-form .box textarea {
    height: calc(166 * var(--rpx));
    padding-right: calc(45 * var(--rpx));
}


/* Step 1 */
.module-component-widget-form .box [type="offline"][step="1"] [column="1"] input {
    width: calc(430 * var(--rpx));
}

.module-component-widget-form .box [type="offline"][step="1"] [column="2"] input {
    width: calc(230 * var(--rpx));
}

.module-component-widget-form .box [type="offline"][step="1"] [column="2"] .flex > div:last-child {
    position: absolute;
    right: calc(20 * var(--rpx));
    bottom: calc(17 * var(--rpx));
    height: calc(21 * var(--rpx));
    cursor: pointer;
}

.module-component-widget-form .box [type="offline"][step="1"] [column="3"] .font-input {
    color: var(--text-40);
}

/* Step 2 */
.module-component-widget-form .box [type="offline"][step="2"] [column="1"] {
    height: fit-content;
}

.module-component-widget-form .box [type="offline"][step="2"] [column="1"] input {
    width: calc(210 * var(--rpx));
}




@media (max-width: 1023px) {
    .module-component-widget-form .box {
        overflow-y: auto;
    }

    .module-component-widget-form .box {
        padding: 34px 13px;
        gap: 26px;
    }
    
    .module-component-form .module-component-widget-form .box {
        padding: 13px;
        padding-top: 60px;
    }

    .module-component-widget-form .topp p {
        width: 100% !important;
    }

    .module-component-widget-form .box .top {
        flex-direction: column-reverse;
    }

    .module-component-widget-form .box .top > div:last-child,
    .module-component-widget-form .box .top > div:last-child button {
        width: 100%;
    }

    .module-component-widget-form .box .top > div:first-child {
        width: 100%;
    }

    .module-component-widget-form .box .has-buttons{
        gap: 15px;
        text-align: center;
    }

    .module-component-widget-form .box .has-buttons .buttons > div {
        width: 100%;
    }

    .module-component-widget-form .box .has-buttons .buttons button {
        padding: 3px;
        width: 100%;
        font-size: 18px;
    }


    .module-component-widget-form .box div[type="online"] .left {
        min-width: 100%;
    }

    .module-component-widget-form .box div[type="online"] .left .has-file,
    .module-component-widget-form .box [type="offline"] .has-file {
        justify-content: start;
        gap: 30px;
    }

    .module-component-widget-form .box div[type="online"] .down,
    .module-component-widget-form .box [type="offline"] .down {
        flex-direction: column-reverse;
    }

    .module-component-widget-form .box div[type="online"] .down .p2,
    .module-component-widget-form .box [type="offline"] .down .p2 {
        font: var(--font-menu-12);
        color: var(--text-70);
    }

    .module-component-widget-form .box div[type="online"] .down > div:last-child,
    .module-component-widget-form .box div[type="online"] .down > div:last-child button,
    .module-component-widget-form .box [type="offline"] .down > div:last-child,
    .module-component-widget-form .box [type="offline"] .down > div:last-child button {
        width: 100%;
    }




    .module-component-widget-form .box [type="offline"][step="1"] [column="1"] input,
    .module-component-widget-form .box [type="offline"][step="1"] [column="2"] input {
        width: 100%;
    }

    .module-component-widget-form .box [type="offline"][step="1"] [column="3"] {
        align-items: self-start;
        gap: 50px;
    }

    .module-component-widget-form .box [type="offline"][step="1"] [column="3"] > div {
        width: 100%;
    }

    .module-component-widget-form .box [type="offline"][step="1"] [column="3"] .has-time > div:last-child {
        width: 80%;
        align-self: center;
    }

    .module-component-widget-form .box [type="offline"][step="1"] [column="3"] .time {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .module-component-widget-form .box [type="offline"][step="1"] [column="3"] .time button.low {
        font-size: 18px;
    }



    .module-component-widget-form .box [type="offline"][step="2"] [column="1"] input {
        width: 100%;
    }

    .module-component-widget-form .box [type="offline"][step="2"] [column="1"] > div:nth-child(4) {
        grid-column: 1;
        grid-row: 2;
    }

    .module-component-widget-form .box [type="offline"][step="2"] [column="1"] > div:nth-child(5) {
        grid-column: 2;
        grid-row: 2;
    }
}